Package org.silverpeas.components.whitepages.model

## Class SilverCard

- java.lang.Object
- - org.silverpeas.components.whitepages.model.SilverCard

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.contribution.model.Contribution`, `org.silverpeas.core.contribution.model.SilverpeasContent`, `org.silverpeas.core.Identifiable`, `org.silverpeas.core.Instance<org.silverpeas.core.contribution.model.Contribution>`, `org.silverpeas.core.Nameable`, `org.silverpeas.core.security.Securable`, `org.silverpeas.core.SilverpeasResource`

      public class SilverCard
      extends Object
      implements org.silverpeas.core.contribution.model.SilverpeasContent

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SilverCard​(Card card, int silverContentId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getComponentInstanceId()` |
    `String` | `getContributionType()` |
    `Date` | `getCreationDate()` |
    `org.silverpeas.core.admin.user.model.User` | `getCreator()` |
    `String` | `getDescription()` |
    `String` | `getId()` |
    `Date` | `getLastUpdateDate()` |
    `org.silverpeas.core.admin.user.model.User` | `getLastUpdater()` |
    `String` | `getSilverpeasContentId()` |
    `String` | `getTitle()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.contribution.model.Contribution

      `canBeAccessedBy, getModel, getName, getResourcePath, isIndexable`

    - ### Methods inherited from interface org.silverpeas.core.Instance

      `getParent`

    - ### Methods inherited from interface org.silverpeas.core.security.Securable

      `canBeDeletedBy, canBeFiledInBy, canBeModifiedBy`

    - ### Methods inherited from interface org.silverpeas.core.contribution.model.SilverpeasContent

      `getIdentifier`

- - ### Constructor Detail

    - #### SilverCard

          public SilverCard​(Card card,
                            int silverContentId)

  - ### Method Detail

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `org.silverpeas.core.Identifiable`
      Specified by:
        `getId` in interface `org.silverpeas.core.contribution.model.SilverpeasContent`

    - #### getComponentInstanceId

          public String getComponentInstanceId()

      Specified by:
        `getComponentInstanceId` in interface `org.silverpeas.core.contribution.model.SilverpeasContent`

    - #### getSilverpeasContentId

          public String getSilverpeasContentId()

      Specified by:
        `getSilverpeasContentId` in interface `org.silverpeas.core.contribution.model.SilverpeasContent`

    - #### getCreator

          public org.silverpeas.core.admin.user.model.User getCreator()

      Specified by:
        `getCreator` in interface `org.silverpeas.core.SilverpeasResource`

    - #### getCreationDate

          public Date getCreationDate()

      Specified by:
        `getCreationDate` in interface `org.silverpeas.core.SilverpeasResource`

    - #### getLastUpdater

          public org.silverpeas.core.admin.user.model.User getLastUpdater()

      Specified by:
        `getLastUpdater` in interface `org.silverpeas.core.SilverpeasResource`

    - #### getLastUpdateDate

          public Date getLastUpdateDate()

      Specified by:
        `getLastUpdateDate` in interface `org.silverpeas.core.SilverpeasResource`

    - #### getTitle

          public String getTitle()

      Specified by:
        `getTitle` in interface `org.silverpeas.core.contribution.model.Contribution`

    - #### getDescription

          public String getDescription()

      Specified by:
        `getDescription` in interface `org.silverpeas.core.contribution.model.Contribution`
      Specified by:
        `getDescription` in interface `org.silverpeas.core.Nameable`

    - #### getContributionType

          public String getContributionType()

      Specified by:
        `getContributionType` in interface `org.silverpeas.core.contribution.model.Contribution`